# geos::operation::predicate::RectangleIntersects Class Reference

Optimized implementation of spatial predicate "intersects" for cases where the first Geometry is a rectangle. More...

`#include <RectangleIntersects.h>`

List of all members.

## Public Member Functions

| RectangleIntersects (const geom::Polygon &newRect)
| Create a new intersects computer for a rectangle.
bool | intersects (const geom::Geometry &geom)

## Static Public Member Functions

static bool | intersects (const geom::Polygon &rectangle, const geom::Geometry &b)

## Static Public Attributes

static const size_t | MAXIMUM_SCAN_SEGMENT_COUNT
| Crossover size at which brute-force intersection scanning is slower than indexed intersection detection.

## Detailed Description

Optimized implementation of spatial predicate "intersects" for cases where the first Geometry is a rectangle.

As a further optimization, this class can be used directly to test many geometries against a single rectangle.

Last port: operation/predicate/RectangleIntersects.java rev. 1.3 (JTS-1.7)

## Constructor & Destructor Documentation

geos::operation::predicate::RectangleIntersects::RectangleIntersects | ( | const geom::Polygon & | newRect | ) | `[inline]`

Create a new intersects computer for a rectangle.

Parameters:

  | newRect | a rectangular geometry

## Member Data Documentation

const size_t geos::operation::predicate::RectangleIntersects::MAXIMUM_SCAN_SEGMENT_COUNT`[static]`

Crossover size at which brute-force intersection scanning is slower than indexed intersection detection.

Must be determined empirically. Should err on the safe side by making value smaller rather than larger.

The documentation for this class was generated from the following file:

- RectangleIntersects.h